/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "~@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";
@import '~@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";

.color-app {
  --background: #2390EB;
}

.popover-view {
  --backdrop-opacity: 0.7;
  --background: #ffffff;
  --height: auto;
  --width: 90%
}

.divider {
  width: 100%;
  background: #58b2f1;
  height: 3px;
  margin-top: 10px;
  margin-bottom: 10px;
}

.divider-text {
  display: inline-block;
  position: relative;
  margin-top: 10px;
  margin-bottom: 10px;
}

.divider-text::after, .divider-text::before {
  content: '';
  position: absolute;
  width: 800px;
  height: 3px;
  background-color: #58b2f1;
  top: 0.6em;
  transition: all 0.2s ease-out;
}

.divider-text::after {
  left: -810px;
}

.divider-text::before {
  right: -810px;
}

.white{
  color: #ffffff;
}

.color-page{
  background: rgb(35,144,235);
  background: -moz-linear-gradient(180deg, rgba(35,144,235,1) 0%, rgba(35,144,235,1) 55%, rgba(0,59,91,1) 100%);
  background: -webkit-linear-gradient(180deg, rgba(35,144,235,1) 0%, rgba(35,144,235,1) 55%, rgba(0,59,91,1) 100%);
  background: linear-gradient(180deg, rgba(35,144,235,1) 0%, rgba(35,144,235,1) 55%, rgba(0,59,91,1) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#2390eb",endColorstr="#003b5b",GradientType=1);
  border-radius: 20px;
}

.capitalize:first-letter {
  text-transform: capitalize;
}
